<?php
$serverName = "127.0.0.1";
$username = "root";
$password = "12345";
$database = "task_management";

$conn = new mysqli($serverName, $username, $password);

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Create database
$sql = "CREATE DATABASE IF NOT EXISTS $database";
if ($conn->query($sql) === TRUE) {
    echo "Database created successfully<br>";
} else {
    echo "Error creating database: " . $conn->error;
}

// Select the database
$conn->select_db($database);

// Create table
$sql = "CREATE TABLE IF NOT EXISTS tasks (
    id INT(6) UNSIGNED AUTO_INCREMENT PRIMARY KEY,
    title VARCHAR(255) NOT NULL,
    description TEXT,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
)";
if ($conn->query($sql) === TRUE) {
    echo "Table tasks created successfully<br>";
} else {
    echo "Error creating table: " . $conn->error;
}

// Handle task creation form submission
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $title = $_POST['title'];
    $description = $_POST['description'];

    $sql = "INSERT INTO tasks (title, description) VALUES ('$title', '$description')";

    if ($conn->query($sql) === TRUE) {
        echo "New task created successfully<br>";
    } else {
        echo "Error: " . $sql . "<br>" . $conn->error;
    }
}

// Handle task update form submission
if (isset($_POST['update'])) {
    $id = $_POST['task_id'];
    $title = $_POST['title'];
    $description = $_POST['description'];

    $sql = "UPDATE tasks SET title='$title', description='$description' WHERE id=$id";

    if ($conn->query($sql) === TRUE) {
        echo "Task updated successfully<br>";
    } else {
        echo "Error updating task: " . $conn->error;
    }
}

// Handle task deletion
if (isset($_GET['delete'])) {
    $id = $_GET['delete'];

    $sql = "DELETE FROM tasks WHERE id=$id";

    if ($conn->query($sql) === TRUE) {
        echo "Task deleted successfully<br>";
    } else {
        echo "Error deleting task: " . $conn->error;
    }
}

// Display task listing
$sql = "SELECT * FROM tasks";
$result = $conn->query($sql);

echo "<h2>Tasks</h2>";
if ($result->num_rows > 0) {
    echo "<ul>";
    while ($row = $result->fetch_assoc()) {
        echo "<li>" . $row["title"] . " - " . $row["description"] . " - Created at: " . $row["created_at"] . " <a href='?delete=" . $row["id"] . "'>Delete</a> <a href='update.php?id=" . $row["id"] . "'>Update</a></li>";
    }
    echo "</ul>";
} else {
    echo "No tasks found";
}

// Close connection
$conn->close();
?>

<!-- Task Creation Form -->
<h2>Add New Task</h2>
<form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
    <label>Title:</label><br>
    <input type="text" name="title"><br>
    <label>Description:</label><br>
    <textarea name="description"></textarea><br>
    <input type="submit" value="Submit">
</form>
